﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace xamMultiColumnComboEditiorSample
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {

        public MainWindowViewModel()
        {
            PersonItemCollection = new ObservableCollection<Person>();
            LoadOnDemand(0);
        }
        public void LoadOnDemand(int fromIndex)
        {
                for (int i = 0; i <= 100 - 1; i++)
                {
                    PersonItemCollection.Add(new Person(fromIndex + i));
                }

        }
        private ObservableCollection<Person> personItemCollection;
        public ObservableCollection<Person> PersonItemCollection
        {
            get { return personItemCollection; }
            set
            {
                personItemCollection = value;
                NotifyPropertyChanged("PersonItemCollection");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
